import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

public class WebdriverObjectMethods
{
	public static void main(String[] args)
	{
		System.setProperty("webdriver.chrome.driver", "D:/Projects/SeleniumDrivers/chromedriver.exe");
		WebDriver driver = new ChromeDriver();
		driver.manage().window().maximize();
		driver.get("http://wikipedia.org");
		String expectedTitle = "Wikipedia";
		String actualTitle = driver.getTitle();
		String expectedURL = "https://www.wikipedia.org/";
		String actualURL = driver.getCurrentUrl();
		
		// Handling Page Tilte 
		System.out.println("Title is: " + actualTitle);
		if(expectedTitle.equals(actualTitle))
			System.out.println("Expected Title Equals to Actual Title");
		else
			System.out.println("Expected Title Does not Equal to Actual Title");
		
		// Handling Page URL
		System.out.println("URL is: " + actualURL);
		if(expectedURL.equals(actualURL))
			System.out.println("Expected URL Equals to Actual URL");
		else
			System.out.println("Expected URL Does not Equal to Actual URL");
		
		// Handling Page Link
		String link = "https://github.com/yahoo/pure/blob/master/LICENSE.md";
		if (driver.getPageSource().contains(link))
			System.out.println("Page Contains link: " + link);
		else
			System.out.println("Page Does Not Contains link: " + link);
		
		driver.quit();
	}
}
